// Testing MidiPort

#include <stdio.h>
#include <unistd.h>
#include <Application.h>
#include <MidiPort.h>
#include <Alert.h>


class TestApplication : public BApplication 
{
public:
	TestApplication() : BApplication("application/x-Test-MidiPort") {
	}
	void ReadyToRun(void) {
		printf("Let's roll...!\n");
		BMidiPort * port = new BMidiPort();
		BAlert *myAlert = new BAlert("closer", "Click when done...", "OK");
		myAlert->Go();
		delete port;
		PostMessage(B_QUIT_REQUESTED, this);
	}
};



int main(void)
{	
	TestApplication	myApplication;
	myApplication.Run();
	return(0);
}
